package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 执照对象 license
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class License extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 执照编号 */
    private Long licenseId;

    /** 执照名 */
    @Excel(name = "执照名")
    private String licenseName;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 删除标识 */
    private Integer delFlag;

    public void setLicenseId(Long licenseId) 
    {
        this.licenseId = licenseId;
    }

    public Long getLicenseId() 
    {
        return licenseId;
    }
    public void setLicenseName(String licenseName) 
    {
        this.licenseName = licenseName;
    }

    public String getLicenseName() 
    {
        return licenseName;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("licenseId", getLicenseId())
            .append("licenseName", getLicenseName())
            .append("reamk", getReamk())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
